Package ghidra.app.util.viewer.field

# Class AddressFieldOptionsWrappedOption

java.lang.Object
ghidra.app.util.viewer.field.AddressFieldOptionsWrappedOption

All Implemented Interfaces:
  `CustomOption`

public class AddressFieldOptionsWrappedOption extends Object implements CustomOption
An option class that allows the user to edit a related group of options pertaining to address field display.

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.options.CustomOption

  `CUSTOM_OPTION_CLASS_NAME_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressFieldOptionsWrappedOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getMinimumHexDigits()`
  `int`
  `hashCode()`
  `boolean`
  `padWithZeros()`
  `void`
  `readState(GProperties properties)`
  Read state from the given properties
  `boolean`
  `rightJustify()`
  `void`
  `setMinimumHexDigits(int numDigits)`
  `void`
  `setPadWithZeros(boolean padWithZeros)`
  `void`
  `setRightJustify(boolean b)`
  `void`
  `setShowBlockName(boolean b)`
  `boolean`
  `showBlockName()`
  `void`
  `writeState(GProperties properties)`
  Write state into the given properties

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.options.CustomOption

  `toString`

- ## Constructor Details

  - ### AddressFieldOptionsWrappedOption

    public AddressFieldOptionsWrappedOption()

- ## Method Details

  - ### padWithZeros

    public boolean padWithZeros()

  - ### getMinimumHexDigits

    public int getMinimumHexDigits()

  - ### rightJustify

    public boolean rightJustify()

  - ### showBlockName

    public boolean showBlockName()

  - ### setPadWithZeros

    public void setPadWithZeros(boolean padWithZeros)

  - ### setMinimumHexDigits

    public void setMinimumHexDigits(int numDigits)

  - ### setShowBlockName

    public void setShowBlockName(boolean b)

  - ### setRightJustify

    public void setRightJustify(boolean b)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### readState

    public void readState(GProperties properties)
    Description copied from interface: `CustomOption`
    Read state from the given properties
    Specified by:
      `readState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information

  - ### writeState

    public void writeState(GProperties properties)
    Description copied from interface: `CustomOption`
    Write state into the given properties
    Specified by:
      `writeState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information